Save assistant and its managed workflow
curl --request POST \
--url https://api.sapt.ai/projects/{projectId}/conversation-assistants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"configuration": {
"name": "<string>",
"goal": {
"kind": "appointment_booking",
"calendarPresetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"endpoints": [
{
"channel": "email",
"integrationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"instructions": "<string>",
"memoryKeys": [
"<string>"
],
"automaticCapabilities": [],
"reviewExceptions": "<string>",
"maxRepliesPerDay": 15,
"maxOutputTokens": 1088,
"handoffInstructions": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedRevision": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.sapt.ai/projects/{projectId}/conversation-assistants"
payload = {
"configuration": {
"name": "<string>",
"goal": {
"kind": "appointment_booking",
"calendarPresetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"endpoints": [
{
"channel": "email",
"integrationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"instructions": "<string>",
"memoryKeys": ["<string>"],
"automaticCapabilities": [],
"reviewExceptions": "<string>",
"maxRepliesPerDay": 15,
"maxOutputTokens": 1088,
"handoffInstructions": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedRevision": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
configuration: {
name: '<string>',
goal: {
kind: 'appointment_booking',
calendarPresetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
endpoints: [
{channel: 'email', integrationAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}
],
instructions: '<string>',
memoryKeys: ['<string>'],
automaticCapabilities: [],
reviewExceptions: '<string>',
maxRepliesPerDay: 15,
maxOutputTokens: 1088,
handoffInstructions: '<string>'
},
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expectedRevision: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.sapt.ai/projects/{projectId}/conversation-assistants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assistant": {
"name": "<string>",
"mode": "off",
"goal": {
"kind": "appointment_booking",
"calendarPresetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"endpoints": [
{
"channel": "email",
"integrationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"instructions": "<string>",
"memoryKeys": [
"<string>"
],
"automaticCapabilities": [
"reply"
],
"reviewExceptions": "<string>",
"maxRepliesPerDay": 15,
"maxOutputTokens": 1088,
"handoffInstructions": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 1,
"enabledAt": "<string>",
"actor": {
"actorType": "user",
"actorId": "<string>"
}
},
"workflow": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Conversation assistants
Save assistant and its managed workflow
POST
/
projects
/
{projectId}
/
conversation-assistants
Save assistant and its managed workflow
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Path Parameters
Body
application/json